xsnippet logotype

xsnippet

venv_mess [ Text only ]

by Guest
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
[root@cci06-rally01 python27(openstack_admin_LinuxEng)]# python -V
Python 2.7.13
[root@cci06-rally01 python27(openstack_admin_LinuxEng)]# echo $PYTHONPATH
/usr/lib/python2.7/site-packages/
[root@cci06-rally01 python27(openstack_admin_LinuxEng)]# scl list
Need at least 3 arguments.
Run scl --help to get help.
[root@cci06-rally01 python27(openstack_admin_LinuxEng)]# scl -list
Need at least 3 arguments.
Run scl --help to get help.
[root@cci06-rally01 python27(openstack_admin_LinuxEng)]# scl -l
python27
rh-python35
[root@cci06-rally01 python27(openstack_admin_LinuxEng)]# scl enable python27 bash 
[root@cci06-rally01 python27]# pwd
/opt/rh/python27
[root@cci06-rally01 python27]# cd /root/rally
rally/         rally-env/     rally-taskdir/ 
[root@cci06-rally01 python27]# cd /root/rally/rally-master/venv/
[root@cci06-rally01 venv]# virtualenv test_venv 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/enum/__init__.py", line 371, in __getattr__
    return cls._member_map_[name]
KeyError: '_convert'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/rh/rh-python35/root/usr/bin/virtualenv", line 9, in <module>
    load_entry_point('virtualenv==13.1.2', 'console_scripts', 'virtualenv')()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 378, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2566, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2260, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/opt/rh/rh-python35/root/usr/lib/python3.5/site-packages/virtualenv.py", line 23, in <module>
    import subprocess
  File "/opt/rh/rh-python35/root/usr/lib64/python3.5/subprocess.py", line 364, in <module>
    import signal
  File "/opt/rh/rh-python35/root/usr/lib64/python3.5/signal.py", line 8, in <module>
    _IntEnum._convert(
  File "/usr/lib/python2.7/site-packages/enum/__init__.py", line 373, in __getattr__
    raise AttributeError(name)
AttributeError: _convert
[root@cci06-rally01 venv]# python -V 
Python 2.7.13
[root@cci06-rally01 venv]#